@model be_wise.Models.Dashboard.UserIndexViewModel

@{
    ViewBag.Title = "Użytkownicy";
    Layout = "_DashboardLayout";
}

<div class="card shadow mb-4">
    <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary">Zarządzenia użytkownikami</h6>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <div class="dt-bootstrap4">
                <div class="row m-0">
                    <div class="col-sm-12">
                        <table class="table table-bordered dataTable users-table" id="dataTable" width="100%" cellspacing="0" role="grid" aria-describedby="dataTable_info" style="width: 100%;">
                            <thead>
                            <tr>
                                <th rowspan="1" colspan="1">ID</th>
                                <th rowspan="1" colspan="1">Nazwa</th>
                                <th rowspan="1" colspan="1">E-mail</th>
                                <th rowspan="1" colspan="2">Rola</th>
                            </tr>
                            </thead>
                            <tbody>

                            @foreach (var user in @Model.Users)
                            {
                                <tr role="row" class="odd">
                                    <td class="sorting_1">@user.Id</td>
                                    <td>@user.Username</td>
                                    <td>@user.Email</td>
                                    @if (@user.IsAdmin)
                                    {
                                        <td>Administrator</td>
                                        <td></td>
                                    }
                                    else
                                    {
                                        <td>Użytkownik</td>
                                        <td>
                                            <a class="btn btn-success" asp-action="AddPermission" asp-route-id="@user.Id">Dodaj uprawnienie</a>
                                        </td>
                                    }
                                </tr>    
                            }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
